diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/databaseAdmin/preferencePage/ChecklistEditorGeneralAdminPreference.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/databaseAdmin/preferencePage/ChecklistEditorGeneralAdminPreference.java
new file mode 100755
index 000000000..a217a9f49
--- /dev/null
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/databaseAdmin/preferencePage/ChecklistEditorGeneralAdminPreference.java
@@ -0,0 +1,315 @@
+/**
+ * Copyright (C) 2014 EDIT
+ * European Distributed Institute of Taxonomy
+ * http://www.e-taxonomy.eu
+ *
+ * The contents of this file are subject to the Mozilla Public License Version 1.1
+ * See LICENSE.TXT at the top of this package for the full license terms.
+ */
+package eu.etaxonomy.taxeditor.databaseAdmin.preferencePage;
+
+import org.eclipse.swt.widgets.Composite;
+import org.eclipse.swt.widgets.Control;
+
+import eu.etaxonomy.cdm.api.application.ICdmRepository;
+import eu.etaxonomy.cdm.api.service.IPreferenceService;
+import eu.etaxonomy.cdm.model.metadata.CdmPreference;
+import eu.etaxonomy.taxeditor.preference.ChecklistEditorGeneralPreference;
+import eu.etaxonomy.taxeditor.preference.EditorPreferencePredicate;
+import eu.etaxonomy.taxeditor.preference.PreferencesUtil;
+import eu.etaxonomy.taxeditor.store.CdmStore;
+
+/**
+ * @author a.oppermann
+ * @date 21.07.2014
+ *
+ */
+public class ChecklistEditorGeneralAdminPreference extends ChecklistEditorGeneralPreference implements IE4AdminPreferencePage {
+
+
+
+
+
+    @Override
+    protected Control createContents(Composite parent) {
+
+//        allowOverride = distributionPref.isAllowOverride();
+//
+//        final Button allowOverrideCheckButton = new Button(parent, SWT.CHECK);
+//        allowOverrideCheckButton.setText(Messages.ChecklistEditorGeneralPreference_allowOverride);
+//        allowOverrideCheckButton.setSelection(allowOverride);
+//        allowOverrideCheckButton.addSelectionListener(new SelectionAdapter(){
+//            @Override
+//            public void widgetSelected(SelectionEvent e) {
+//                allowOverride = allowOverrideCheckButton.getSelection();
+//            }
+//        });
+//
+        return super.createContents(parent);
+//
+//        final Button activateCheckButton = new Button(composite, SWT.CHECK);
+//        activateCheckButton.setText(Messages.ChecklistEditorGeneralPreference_enable);
+//        activateCheckButton.setSelection(isEditorActivated);
+//        activateCheckButton.addSelectionListener(new SelectionAdapter(){
+//            @Override
+//            public void widgetSelected(SelectionEvent e) {
+//                isEditorActivated = activateCheckButton.getSelection();
+//
+//                if(isEditorActivated){
+//                    child.setVisible(true);
+//                    child.setEnabled(true);
+//                }else{
+//                    child.setVisible(false);
+//                    child.setEnabled(false);
+//                }
+//
+//            }
+//        });
+//
+//        child  = new Composite(composite, SWT.NULL);
+//        child.setLayout(new GridLayout());
+//        child.setVisible(isEditorActivated);
+//
+//
+//
+////
+//
+//
+////
+////        final CommandHandlerButton button_openWizard = new CommandHandlerButton(child, SWT.PUSH,
+////                "eu.etaxonomy.taxeditor.store.open.OpenDistributionEditorWizardAdminHandler");
+////
+////        button_openWizard.setText(Messages.ChecklistEditorGeneralPreference_open_distribution_selection);
+//
+////        Table table = new Table
+//        final CLabel description = new CLabel(child, SWT.NULL);
+//        description.setText(Messages.ChecklistEditorGeneralPreference_Configure_display_of_Areas);
+//
+//
+//        GridData gridData = new GridData();
+//        gridData = new GridData(GridData.BEGINNING, GridData.CENTER, true, false);
+//        gridData.horizontalIndent = 5;
+////      classificationSelection.setLayoutData(gridData);
+//
+//
+//        final Button showIdInVocabulary = new Button(child, SWT.RADIO);
+//        CdmPreference pref = PreferencesUtil.getPreferenceFromDB(PreferencePredicate.ShowIdInVocabulary);
+//        if (pref != null){
+//            isShowIdInVocabulary = Boolean.valueOf(pref.getValue());
+//        }else{
+//            isShowIdInVocabulary = false;
+//        }
+//        showIdInVocabulary.setText(Messages.ChecklistEditorGeneralPreference_show_id_in_voc);
+//        showIdInVocabulary.setSelection(isShowIdInVocabulary);
+//        showIdInVocabulary.addSelectionListener(new SelectionAdapter(){
+//            @Override
+//            public void widgetSelected(SelectionEvent e) {
+//                isShowIdInVocabulary = showIdInVocabulary.getSelection();
+//
+//             }
+//        });
+//        final Button showSymbol1 = new Button(child, SWT.RADIO);
+//        pref = PreferencesUtil.getPreferenceFromDB(PreferencePredicate.ShowSymbol1);
+//        if (pref != null){
+//            isShowSymbol1 = Boolean.valueOf(pref.getValue());
+//        }else{
+//            isShowSymbol1 = false;
+//        }
+//        showSymbol1.setText(Messages.ChecklistEditorGeneralPreference_show_symbol1);
+//        showSymbol1.setSelection(isShowSymbol1);
+//        showSymbol1.addSelectionListener(new SelectionAdapter(){
+//            @Override
+//            public void widgetSelected(SelectionEvent e) {
+//                isShowSymbol1 = showSymbol1.getSelection();
+//
+//             }
+//        });
+//        final Button showSymbol2 = new Button(child, SWT.RADIO);
+//        pref = PreferencesUtil.getPreferenceFromDB(PreferencePredicate.ShowSymbol2);
+//        if (pref != null){
+//            isShowSymbol2 = Boolean.valueOf(pref.getValue());
+//        }else{
+//            isShowSymbol2 = false;
+//        }
+//        showSymbol2.setText(Messages.ChecklistEditorGeneralPreference_show_symbol2);
+//        showSymbol2.setSelection(isShowSymbol2);
+//        showSymbol2.addSelectionListener(new SelectionAdapter(){
+//            @Override
+//            public void widgetSelected(SelectionEvent e) {
+//                isShowSymbol2 = showSymbol2.getSelection();
+//
+//             }
+//        });
+//        final Button showTitle = new Button(child, SWT.RADIO);
+//        isShowTitle = !(isShowIdInVocabulary || isShowSymbol1 || isShowSymbol2);
+//
+//        showTitle.setText(Messages.ChecklistEditorGeneralPreference_show_title);
+//        showTitle.setSelection(isShowTitle);
+//        showTitle.addSelectionListener(new SelectionAdapter(){
+//            @Override
+//            public void widgetSelected(SelectionEvent e) {
+//                isShowTitle = showTitle.getSelection();
+//
+//             }
+//        });
+//
+//        final Label seperator1 = new Label(child, SWT.HORIZONTAL | SWT.SEPARATOR);
+//        final Button sortNamedAreaByVocabularyOrder = new Button(child, SWT.CHECK);
+//
+//        pref = PreferencesUtil.getPreferenceFromDB(PreferencePredicate.AreasSortedByIdInVocabulary);
+//        if (pref != null){
+//            isSortByVocabularyOrder = Boolean.valueOf(pref.getValue());
+//        }else{
+//            isSortByVocabularyOrder = false;
+//        }
+//
+//        sortNamedAreaByVocabularyOrder.setText(Messages.ChecklistEditorGeneralPreference_sort_areas);
+//        sortNamedAreaByVocabularyOrder.setSelection(isSortByVocabularyOrder);
+//        sortNamedAreaByVocabularyOrder.addSelectionListener(new SelectionAdapter(){
+//            @Override
+//            public void widgetSelected(SelectionEvent e) {
+//                isSortByVocabularyOrder = sortNamedAreaByVocabularyOrder.getSelection();
+//             }
+//        });
+//        final Label seperator2 = new Label(child, SWT.HORIZONTAL | SWT.SEPARATOR);
+//        final CLabel descriptionStatus = new CLabel(child, SWT.NULL);
+//        descriptionStatus.setText(Messages.ChecklistEditorGeneralPreference_STATUS_DISPLAY_TEXT);
+//        final Button showSymbol = new Button(child, SWT.CHECK);
+//        pref = PreferencesUtil.getPreferenceFromDB(PreferencePredicate.ShowSymbolForStatus);
+//        if (pref != null){
+//            isShowSymbol = Boolean.valueOf(pref.getValue());
+//        }else{
+//            isShowSymbol = false;
+//        }
+//
+//        showSymbol.setText(Messages.ChecklistEditorGeneralPreference_show_symbol);
+//        showSymbol.setSelection(isShowSymbol);
+//        showSymbol.addSelectionListener(new SelectionAdapter(){
+//            @Override
+//            public void widgetSelected(SelectionEvent e) {
+//                isShowSymbol = showSymbol.getSelection();
+//             }
+//        });
+////        PreferencesUtil.recursiveSetEnabled(button_openWizard, CdmStore.isActive());
+//        pref = PreferencesUtil.getPreferenceFromDB(PreferencePredicate.ShowRankInDistributionEditor);
+//        if (pref != null){
+//            isShowRank = Boolean.valueOf(pref.getValue());
+//        }else{
+//            isShowRank = false;
+//        }
+//
+//        final Button activateRankButton = new Button(child, SWT.CHECK);
+//        activateRankButton.setText(Messages.ChecklistEditorGeneralPreference_show_rank);
+//        activateRankButton.setSelection(isShowRank);
+//        activateRankButton.addSelectionListener(new SelectionAdapter(){
+//            @Override
+//            public void widgetSelected(SelectionEvent e) {
+//                isShowRank = activateRankButton.getSelection();
+//            }
+//        });
+//
+//
+//        if(isEditorActivated){
+//            child.setEnabled(true);
+//        }else{
+//            child.setEnabled(false);
+//        }
+
+  //      return composite;
+    }
+
+    @Override
+    public boolean performOk() {
+        if (this.distributionEditorPref == null){
+            return true;
+        }
+        ICdmRepository controller = CdmStore.getCurrentApplicationConfiguration();
+        if (controller == null){
+            return false;
+        }
+        IPreferenceService service = controller.getPreferenceService();
+
+        CdmPreference pref = CdmPreference.NewTaxEditorInstance( EditorPreferencePredicate.DistributionEditorActivated, Boolean.toString(isEditorActivated));
+        //ToDo
+        pref.setAllowOverride(this.allowOverrideActivated);
+        service.set(pref);
+
+        pref = CdmPreference.NewTaxEditorInstance( EditorPreferencePredicate.DisplayOfAreasInDistributionEditor, this.displayArea);
+        //ToDo
+        pref.setAllowOverride(this.allowOverrideAreaDisplay);
+        service.set(pref);
+
+
+
+        pref = CdmPreference.NewTaxEditorInstance( EditorPreferencePredicate.DisplayOfStatus, this.displayStatus);
+        //ToDo
+        pref.setAllowOverride(this.allowOverrideStatusDisplay);
+        service.set(pref);
+
+        pref = CdmPreference.NewTaxEditorInstance( EditorPreferencePredicate.ShowRankInDistributionEditor, Boolean.toString(isShowRank));
+        //ToDo
+        pref.setAllowOverride(this.allowOverrideRank);
+        service.set(pref);
+        pref = CdmPreference.NewTaxEditorInstance( EditorPreferencePredicate.AreasSortedByIdInVocabulary, Boolean.toString(isSortByVocabularyOrder));
+        //ToDo
+        pref.setAllowOverride(this.allowOverrideOrderAreas);
+        service.set(pref);
+
+
+        PreferencesUtil.updateDBPreferences();
+
+        return true;
+    }
+
+    @Override
+    public void init() {
+        setPreferenceStore(PreferencesUtil.getPreferenceStore());
+        distributionEditorPref = PreferencesUtil.getPreferenceFromDB(EditorPreferencePredicate.DistributionEditorActivated);
+        if (distributionEditorPref == null){
+            distributionEditorPref = CdmPreference.NewTaxEditorInstance(EditorPreferencePredicate.DistributionEditorActivated, EditorPreferencePredicate.DistributionEditorActivated.getDefaultValue().toString());
+        }
+        isEditorActivated = Boolean.valueOf(distributionEditorPref.getValue());
+        allowOverrideActivated = distributionEditorPref.isAllowOverride();
+        isAdminPreference = true;
+
+        CdmPreference pref = PreferencesUtil.getPreferenceFromDB(EditorPreferencePredicate.DisplayOfAreasInDistributionEditor);
+        if (pref != null){
+            this.displayArea = pref.getValue();
+            this.allowOverrideAreaDisplay = pref.isAllowOverride();
+        }else{
+            this.displayArea = EditorPreferencePredicate.DisplayOfAreasInDistributionEditor.getDefaultValue().toString();
+            this.allowOverrideAreaDisplay = true;
+        }
+
+        pref = PreferencesUtil.getPreferenceFromDB(EditorPreferencePredicate.DisplayOfStatus);
+        if (pref != null){
+            this.displayStatus = pref.getValue();
+            this.allowOverrideStatusDisplay = pref.isAllowOverride();
+        }else{
+            this.displayStatus = EditorPreferencePredicate.DisplayOfStatus.getDefaultValue().toString();
+            this.allowOverrideStatusDisplay = true;
+        }
+
+        pref = PreferencesUtil.getPreferenceFromDB(EditorPreferencePredicate.AreasSortedByIdInVocabulary);
+        if (pref != null){
+            this.isSortByVocabularyOrder = Boolean.valueOf(pref.getValue().toString());
+            this.allowOverrideOrderAreas = pref.isAllowOverride();
+        }else{
+            this.isSortByVocabularyOrder = Boolean.valueOf(EditorPreferencePredicate.AreasSortedByIdInVocabulary.getDefaultValue().toString());
+            this.allowOverrideOrderAreas = true;
+        }
+
+        pref = PreferencesUtil.getPreferenceFromDB(EditorPreferencePredicate.ShowRankInDistributionEditor);
+        if (pref != null){
+            this.isShowRank = Boolean.valueOf(pref.getValue().toString());
+            this.allowOverrideRank = pref.isAllowOverride();
+        }else{
+            this.isShowRank = Boolean.valueOf(EditorPreferencePredicate.ShowRankInDistributionEditor.getDefaultValue().toString());
+            this.allowOverrideRank = true;
+        }
+        commandHandlerString = "eu.etaxonomy.taxeditor.store.open.OpenDistributionEditorWizardAdminHandler";
+        commandHandlerStringStatus = "eu.etaxonomy.taxeditor.store.open.OpenDistributionStatusWizardAdminHandler";
+
+    }
+
+}
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/databaseAdmin/preferencePage/DistributionAdminPreferences.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/databaseAdmin/preferencePage/DistributionAdminPreferences.java
index fec06255b..4e1361a9f 100755
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/databaseAdmin/preferencePage/DistributionAdminPreferences.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/databaseAdmin/preferencePage/DistributionAdminPreferences.java
@@ -12,7 +12,7 @@ import org.eclipse.swt.SWT;
 import org.eclipse.swt.custom.CLabel;
 import org.eclipse.swt.events.SelectionAdapter;
 import org.eclipse.swt.events.SelectionEvent;
-import org.eclipse.swt.layout.GridLayout;
+import org.eclipse.swt.layout.GridData;
 import org.eclipse.swt.widgets.Button;
 import org.eclipse.swt.widgets.Composite;
 import org.eclipse.swt.widgets.Control;
@@ -38,18 +38,18 @@ public class DistributionAdminPreferences extends CdmPreferencePage implements I
 
     @Override
     protected Control createContents(Composite parent) {
-        Composite composite = new Composite(parent, SWT.NULL);
-        composite.setLayout(new GridLayout());
-
+        isAdminPreference = true;
+        Composite composite = createComposite(parent);
+        GridData labelGridData = new GridData();
+        labelGridData.horizontalSpan = 2;
+        labelGridData.verticalSpan = 4;
 
         prefAreas = PreferencesUtil.getPreferenceFromDB(PreferencePredicate.AvailableDistributionAreaVocabularies);
         allowOverrideAreas = prefAreas != null?prefAreas.isAllowOverride():true;
 
-
-
         final CLabel label = new CLabel(composite, SWT.NULL);
         label.setText(Messages.ChecklistEditorGeneralPreference_open_wizard);
-
+        label.setLayoutData(labelGridData);
         final CommandHandlerButton button_openWizard = new CommandHandlerButton(composite, SWT.PUSH,
                 "eu.etaxonomy.taxeditor.store.open.OpenDistributionEditorWizardAdminHandler"); //$NON-NLS-1$
 
@@ -72,7 +72,10 @@ public class DistributionAdminPreferences extends CdmPreferencePage implements I
 
         final CLabel labelStatus = new CLabel(composite, SWT.NULL);
         labelStatus.setText(Messages.DistributionAdminPreferences_SELECT_STATUS);
-
+        GridData labelStatusGridData = new GridData();
+        labelStatusGridData.horizontalSpan = 2;
+        labelStatusGridData.verticalSpan = 2;
+        labelStatus.setLayoutData(labelStatusGridData);
         final CommandHandlerButton button_openStatusWizard = new CommandHandlerButton(composite, SWT.PUSH,
                 "eu.etaxonomy.taxeditor.store.open.OpenDistributionStatusWizardAdminHandler"); //$NON-NLS-1$
 
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/databaseAdmin/preferencePage/PublishFlagPreference.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/databaseAdmin/preferencePage/PublishFlagPreference.java
index db15097d9..1af7950da 100755
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/databaseAdmin/preferencePage/PublishFlagPreference.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/databaseAdmin/preferencePage/PublishFlagPreference.java
@@ -10,10 +10,9 @@ package eu.etaxonomy.taxeditor.databaseAdmin.preferencePage;
 
 import org.eclipse.swt.SWT;
 import org.eclipse.swt.custom.CLabel;
-import org.eclipse.swt.events.SelectionAdapter;
-import org.eclipse.swt.events.SelectionEvent;
+import org.eclipse.swt.layout.GridData;
 import org.eclipse.swt.layout.GridLayout;
-import org.eclipse.swt.widgets.Button;
+import org.eclipse.swt.widgets.Combo;
 import org.eclipse.swt.widgets.Composite;
 import org.eclipse.swt.widgets.Control;
 
@@ -22,8 +21,9 @@ import eu.etaxonomy.cdm.api.service.IPreferenceService;
 import eu.etaxonomy.cdm.model.metadata.CdmPreference;
 import eu.etaxonomy.cdm.model.metadata.PreferencePredicate;
 import eu.etaxonomy.taxeditor.l10n.Messages;
-import eu.etaxonomy.taxeditor.preference.IPreferenceKeys;
+import eu.etaxonomy.taxeditor.preference.EditorPreferencePredicate;
 import eu.etaxonomy.taxeditor.preference.PreferencesUtil;
+import eu.etaxonomy.taxeditor.preference.PublishEnum;
 import eu.etaxonomy.taxeditor.preference.menu.CdmPreferencePage;
 import eu.etaxonomy.taxeditor.store.CdmStore;
 
@@ -34,14 +34,10 @@ import eu.etaxonomy.taxeditor.store.CdmStore;
  */
 public class PublishFlagPreference extends CdmPreferencePage implements IE4AdminPreferencePage{
 
-   boolean setPublish;
-   boolean setNotPublish;
-   boolean inheritFromParent;
+    PublishEnum publishBehaviour;
 
-   String do_not_publish = "DO NOT PUBLISH";
-   String inherit_from_parent = "PARENT";
-   String publish = "PUBLISH";
-   CdmPreference pref = null;
+    Combo publishFlagBehaviour;
+    CdmPreference pref = null;
 
    @Override
    public void init() {
@@ -56,64 +52,38 @@ public class PublishFlagPreference extends CdmPreferencePage implements IE4Admin
     protected Control createContents(Composite parent) {
         pref = PreferencesUtil.getPreferenceFromDB(PreferencePredicate.DefaultBehaviourForPublishFlag);
         if (pref == null){
-            pref = CdmPreference.NewTaxEditorInstance(PreferencePredicate.DefaultBehaviourForPublishFlag, IPreferenceKeys.PUBLISH);
+            pref = CdmPreference.NewTaxEditorInstance(EditorPreferencePredicate.DefaultBehaviourForPublishFlag, EditorPreferencePredicate.DefaultBehaviourForPublishFlag.getDefaultValue().toString());
         }
 
-        if (pref.getValue().equals(IPreferenceKeys.DO_NOT_PUBLISH)){
-            setNotPublish = true;
-            setPublish = false;
-            inheritFromParent = false;
-        }
-
-        if (pref.getValue().equals(IPreferenceKeys.INHERIT_FROM_PARENT)){
-            setNotPublish = false;
-            setPublish = false;
-            inheritFromParent = true;
-        }
-
-        if (pref.getValue().equals(IPreferenceKeys.PUBLISH)){
-            setNotPublish = false;
-            setPublish = true;
-            inheritFromParent = false;
-        }
         final Composite composite = new Composite(parent, SWT.NULL);
 
         GridLayout gridLayout = new GridLayout();
         composite.setLayout(gridLayout);
         final CLabel description = new CLabel(composite, SWT.NULL);
         description.setText(Messages.PublishFlagPreference_description);
-        gridLayout.numColumns = 1;
-        gridLayout.horizontalSpacing= 10;
-        gridLayout.makeColumnsEqualWidth = true;
-
-        Button setPublishFlagAsDefault = new Button(composite, SWT.RADIO);
-        setPublishFlagAsDefault.setText(Messages.PublishFlagPreference_set);
-        setPublishFlagAsDefault.setSelection(setPublish);
-        setPublishFlagAsDefault.addSelectionListener(new SelectionAdapter() {
-            @Override
-            public void widgetSelected(SelectionEvent e) {
-               setPublish = !setPublish;
-            }
-        });
-        Button setNotPublishFlagAsDefault = new Button(composite, SWT.RADIO);
-        setNotPublishFlagAsDefault.setText(Messages.PublishFlagPreference_do_not_set);
-        setNotPublishFlagAsDefault.setSelection(setNotPublish);
-        setNotPublishFlagAsDefault.addSelectionListener(new SelectionAdapter() {
-            @Override
-            public void widgetSelected(SelectionEvent e) {
-                setNotPublish = !setNotPublish;
-            }
-        });
-
-        Button setInheritFromParent = new Button(composite, SWT.RADIO);
-        setInheritFromParent.setText(Messages.PublishFlagPreference_inherit);
-        setInheritFromParent.setSelection(inheritFromParent);
-        setInheritFromParent.addSelectionListener(new SelectionAdapter() {
-            @Override
-            public void widgetSelected(SelectionEvent e) {
-                inheritFromParent = !inheritFromParent;
+
+        GridData gridData = new GridData();
+        gridData = new GridData(GridData.BEGINNING, GridData.CENTER, true, false);
+        gridData.horizontalIndent = 5;
+
+        publishFlagBehaviour = new Combo(composite, SWT.BORDER| SWT.READ_ONLY);
+        publishFlagBehaviour.setLayoutData(gridData);
+
+        for(PublishEnum display: PublishEnum.values()){
+            publishFlagBehaviour.add(display.getLabel());
+        }
+
+        int index = 0;
+
+        PublishEnum publishFlag = PublishEnum.valueOf(pref.getValue());
+        for (String itemLabel : publishFlagBehaviour.getItems()){
+            if (itemLabel.equalsIgnoreCase(publishFlag.getLabel())){
+                publishFlagBehaviour.select(index);
+                break;
             }
-        });
+            index++;
+        }
+
 
         return composite;
 
@@ -125,15 +95,8 @@ public class PublishFlagPreference extends CdmPreferencePage implements IE4Admin
         if (pref == null){
             return true;
         }
-        String preferenceValue = null;
-        if (setPublish){
-            preferenceValue = publish;
-        }else if (setNotPublish){
-            preferenceValue = do_not_publish;
-        } else{
-            preferenceValue = inherit_from_parent;
-        }
-        CdmPreference pref = CdmPreference.NewTaxEditorInstance( PreferencePredicate.DefaultBehaviourForPublishFlag, preferenceValue);
+
+        CdmPreference pref = CdmPreference.NewTaxEditorInstance(EditorPreferencePredicate.DefaultBehaviourForPublishFlag, publishFlagBehaviour.getText());
         pref.setAllowOverride(true);
 
         ICdmRepository controller = CdmStore.getCurrentApplicationConfiguration();
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/databaseAdmin/preferencePage/VocabularyAdminPreferences.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/databaseAdmin/preferencePage/VocabularyAdminPreferences.java
new file mode 100755
index 000000000..72c38d604
--- /dev/null
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/databaseAdmin/preferencePage/VocabularyAdminPreferences.java
@@ -0,0 +1,104 @@
+/**
+* Copyright (C) 2018 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/
+package eu.etaxonomy.taxeditor.databaseAdmin.preferencePage;
+
+import org.eclipse.swt.SWT;
+import org.eclipse.swt.custom.CLabel;
+import org.eclipse.swt.events.SelectionAdapter;
+import org.eclipse.swt.events.SelectionEvent;
+import org.eclipse.swt.layout.GridData;
+import org.eclipse.swt.widgets.Button;
+import org.eclipse.swt.widgets.Composite;
+import org.eclipse.swt.widgets.Control;
+
+import eu.etaxonomy.cdm.api.application.ICdmRepository;
+import eu.etaxonomy.cdm.api.service.IPreferenceService;
+import eu.etaxonomy.cdm.model.metadata.CdmPreference;
+import eu.etaxonomy.cdm.model.metadata.PreferencePredicate;
+import eu.etaxonomy.taxeditor.l10n.Messages;
+import eu.etaxonomy.taxeditor.preference.PreferencesUtil;
+import eu.etaxonomy.taxeditor.preference.menu.CdmPreferencePage;
+import eu.etaxonomy.taxeditor.store.CdmStore;
+import eu.etaxonomy.taxeditor.ui.element.CommandHandlerButton;
+
+/**
+ * @author k.luther
+ * @since 05.10.2018
+ *
+ */
+public class VocabularyAdminPreferences extends CdmPreferencePage implements IE4AdminPreferencePage {
+
+    boolean allowOverride;
+    CdmPreference pref = null;
+
+    @Override
+    protected Control createContents(Composite parent) {
+        this.isAdminPreference = true;
+        Composite composite = createComposite(parent);
+        pref = PreferencesUtil.getPreferenceFromDB(PreferencePredicate.CommonNameAreaVocabularies);
+
+
+        final CLabel commonNameAreaLabel = new CLabel(composite, SWT.NULL);
+        commonNameAreaLabel.setText(Messages.VokabularyAdminPreferences_SELECT_VOCABULARY_TEXT);
+
+        GridData gridData = new GridData();
+        gridData.horizontalSpan = 2;
+        commonNameAreaLabel.setLayoutData(gridData);
+
+        final CommandHandlerButton button_opencommonNameAreaWizard = new CommandHandlerButton(composite, SWT.PUSH,
+                "eu.etaxonomy.taxeditor.store.open.OpenCommonNameAreaWizardAdminHandler"); //$NON-NLS-1$
+
+        button_opencommonNameAreaWizard.setText(Messages.GeneralPreference_open_common_name_area_selection);
+        final Button allowOverrideCommonNameAreaCheckButton = new Button(composite, SWT.CHECK);
+        allowOverrideCommonNameAreaCheckButton.setText(Messages.ChecklistEditorGeneralPreference_allowOverride);
+
+        if (pref != null){
+            allowOverride = pref.isAllowOverride();
+            allowOverrideCommonNameAreaCheckButton.setSelection(allowOverride);
+        }
+        else{
+            allowOverrideCommonNameAreaCheckButton.setSelection(true);
+        }
+
+        allowOverrideCommonNameAreaCheckButton.addSelectionListener(new SelectionAdapter(){
+            @Override
+            public void widgetSelected(SelectionEvent e) {
+                allowOverride = allowOverrideCommonNameAreaCheckButton.getSelection();
+
+            }
+        });
+
+        return composite;
+    }
+
+    @Override
+    public boolean performOk() {
+        if (pref == null){
+            return true;
+        }
+        ICdmRepository controller = CdmStore.getCurrentApplicationConfiguration();
+
+        if(controller!=null){
+            IPreferenceService service = controller.getPreferenceService();
+
+            CdmPreference pref = PreferencesUtil.getPreferenceFromDB(PreferencePredicate.CommonNameAreaVocabularies);
+            if(pref==null){
+                pref = CdmPreference.NewTaxEditorInstance(PreferencePredicate.CommonNameAreaVocabularies, "");
+            }
+            pref.setAllowOverride(allowOverride);
+            service.set(pref);
+
+            PreferencesUtil.updateDBPreferences();
+        }
+        return true;
+
+    }
+
+
+}
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/databaseAdmin/wizard/DatabasePreferencesWizard.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/databaseAdmin/wizard/DatabasePreferencesWizard.java
index df288afac..82e509887 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/databaseAdmin/wizard/DatabasePreferencesWizard.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/databaseAdmin/wizard/DatabasePreferencesWizard.java
@@ -56,9 +56,9 @@ public class DatabasePreferencesWizard extends Wizard {
 
 //       getPreferencePage().performOk();
 
-        String value =getPreferencePage().doGetPreferenceStore().getString(IPreferenceKeys.PREFERRED_NOMENCLATURAL_CODE_KEY);
+        String value =PreferencesUtil.getStringValue(IPreferenceKeys.PREFERRED_NOMENCLATURAL_CODE_KEY);
 
-        boolean allowOverride =  getPreferencePage().doGetPreferenceStore().getBoolean(IPreferenceKeys.ALLOW_OVERRIDE_NOMENCLATURAL_CODE_KEY);
+        boolean allowOverride =  PreferencesUtil.getBooleanValue(IPreferenceKeys.ALLOW_OVERRIDE_NOMENCLATURAL_CODE_KEY);
         CdmPreference pref = CdmPreference.NewDatabaseInstance( PreferencePredicate.NomenclaturalCode, value);
         pref.setAllowOverride(allowOverride);
 
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/databaseAdmin/wizard/ImportPreferencesWizard.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/databaseAdmin/wizard/ImportPreferencesWizard.java
index bac3f31ef..b33628574 100755
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/databaseAdmin/wizard/ImportPreferencesWizard.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/databaseAdmin/wizard/ImportPreferencesWizard.java
@@ -10,13 +10,8 @@ package eu.etaxonomy.taxeditor.databaseAdmin.wizard;
 
 import org.eclipse.jface.wizard.Wizard;
 
-import eu.etaxonomy.cdm.api.application.ICdmRepository;
-import eu.etaxonomy.cdm.api.service.IPreferenceService;
-import eu.etaxonomy.cdm.model.metadata.CdmPreference;
-import eu.etaxonomy.cdm.model.metadata.PreferencePredicate;
 import eu.etaxonomy.taxeditor.io.wizard.AbcdImportConfiguratorWizardPage;
 import eu.etaxonomy.taxeditor.preference.PreferencesUtil;
-import eu.etaxonomy.taxeditor.store.CdmStore;
 
 /**
  * @author k.luther
@@ -30,7 +25,7 @@ public class ImportPreferencesWizard extends Wizard {
     public ImportPreferencesWizard() {
         setWindowTitle("Abcd Import Configuration Wizard");
 
-        configPage = AbcdImportConfiguratorWizardPage.createPreferencePage(PreferencesUtil.getAbcdImportConfigurationPreference());
+        configPage = AbcdImportConfiguratorWizardPage.createPreferencePage(PreferencesUtil.getLocalAbcdImportConfigurator());
 
     }
     @Override
@@ -44,17 +39,7 @@ public class ImportPreferencesWizard extends Wizard {
     public boolean performFinish() {
         String configString = "";
         this.configPage.saveConfigToPrefernceStore();
-        configString = this.configPage.createConfigString();
 
-        CdmPreference pref = CdmPreference.NewDatabaseInstance( PreferencePredicate.AbcdImportConfig, configString);
-        pref.setAllowOverride(true);
-
-        ICdmRepository controller = CdmStore.getCurrentApplicationConfiguration();
-        if (controller == null){
-            return false;
-        }
-        IPreferenceService service = controller.getPreferenceService();
-        service.set(pref);
 
 
        return true;
